Subject: RE: ! [remote rejected] master -> master (unpacker error)

From: <[email-masked]>
Date: Mon, 17 Feb 2020 09:25:38 -0700

I wrote a bunch of emails about this in December 2019. Did they all get lost?

I'm consistently able to clone the repository, but I can never push to it. I used to be able to. I've explored all possibilities that I know of.

I'm using Windows 10, and the Cygwin version of Git.

$ git --version
git version 2.21.0

Regards

Lyle

-----Original Message-----
From: brian m. carlson <[email-masked]> 
Sent: Sunday, February 16, 2020 2:16 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: ! [remote rejected] master -> master (unpacker error)

On 2020-02-16 at 16:10:12, [email-masked] wrote:
> Hi
> 
> Any updates on this error I emailed a while back?
> 
> lylez@LJZ-DELLPC ~/python
> $ git push
> Enumerating objects: 5, done.
> Counting objects: 100% (5/5), done.
> Delta compression using up to 4 threads Compressing objects: 100% 
> (2/2), done.
> Writing objects: 100% (3/3), 279 bytes | 23.00 KiB/s, done.
> Total 3 (delta 1), reused 0 (delta 0)
> remote: fatal: not a git repository: '.'

This error is telling you that Git doesn't think the remote location is a Git repository.  It could be because it really isn't one, or it could be that the permissions are wrong.

It could also be that the repository is mostly there but very slightly corrupt and therefore can't be detected as one.  For example, it could be missing its HEAD reference.
--
brian m. carlson: Houston, Texas, US
OpenPGP: https://keybase.io/bk2204